;----------------------------------------------------------------------------
;    MODULE NAME:   FILELOAD.X
;
;        $Author:   Dennis_Bareis  $
;      $Revision:   1.1  $
;          $Date:   31 Jan 1999 17:40:50  $
;       $Logfile:   E:/DB/PVCS.IT/OS2/REXXHDR/FILELOAD.X_V  $
;         SOURCE:   http://www.labyrinth.net.au/~dbareis/index.htm (db0@anz.com)
;
;    DESCRIPTION:   Example program for "FILELOAD.XH".
;
;                   Compile with "ppwizard FILELOAD.X /rexx"
;----------------------------------------------------------------------------

/*
 * $Header:   E:/DB/PVCS.IT/OS2/REXXHDR/FILELOAD.X_V   1.1   31 Jan 1999 17:40:50   Dennis_Bareis  $
 */

/*--- Include the support code ----------------------------------------------*/
#include "FILELOAD.XH"

/*--- Get filename from command line ----------------------------------------*/
FileName = arg(1);
if FileName <> '' then
   say 'Reading: "' || FileName || '"'
else
do
   /*--- Missing filename ---------------------------------------------------*/
   say 'You need to specify a filename to be loaded';
   exit(255);
end;

/*--- Read the file ---------------------------------------------------------*/
ReadRc = LoadFileIntoStem(FileName, "ARRAY")
say '        * Read ' || Array.0 || ' lines...'
if ReadRc = '' then
do
   /*--- Read in the file OK ------------------------------------------------*/
   do x = 1 to Array.0
       say '          ' || Array.x
   end;
   exit(0);
end;
else
do
   /*--- Error --------------------------------------------------------------*/
   say '        * ERROR = ' || ReadRc || d2c(7);
   exit(254);
end;


